Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1454359 - Planning lensfun update
Summary: Planning lensfun update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lensfun
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 14:35 UTC by Germano Massullo
Modified: 2018-03-06 17:30 UTC (History)
4 users (show)

Fixed In Version: lensfun-0.3.2-13.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:30:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2017-05-22 14:35:18 UTC
Description of problem:
Rex, you are a proven packager. I would like to plan an update of lensfun, so we need to rebuild all packages depending on it.
What do you think about?
Best regards

Comment 1 Oliver Ilian 2017-06-28 10:38:07 UTC
Hi Germano,

can you add a "needinfo" for Rex, so that he can comment on this?

Thanks
Oliver

Comment 2 Rex Dieter 2017-06-28 15:44:18 UTC
"all packages depending on lensfun" includes what exactly?

Comment 3 Germano Massullo 2017-06-28 15:51:56 UTC
(In reply to Rex Dieter from comment #2)
> "all packages depending on lensfun" includes what exactly?

Oliver and I, we are interested in providing a darktable user experience that can benefit from lastest lensfun version. I haven't investigated yet about what are other packages that depends on such library

Comment 4 Graham White 2017-06-29 15:12:53 UTC
I maintain gimp-lensfun which depends on lensfun.

I think also exiv2-libs is linked against lensfun.  I'm not sure if there are many more packages, as far as I know there aren't a lot of dependencies on lensfun.

Comment 5 Rex Dieter 2017-06-29 20:31:42 UTC
You're in luck,

repoquery --whatrequires lensfun --alldeps
darktable-0:2.0.7-2.el7.x86_64
lensfun-devel-0:0.3.1-3.el7.x86_64
lensfun-tools-0:0.3.1-3.el7.x86_64

Am I missing something?

Comment 6 Germano Massullo 2017-06-29 20:39:34 UTC
(In reply to Rex Dieter from comment #5)
> You're in luck,
> 
> repoquery --whatrequires lensfun --alldeps
> darktable-0:2.0.7-2.el7.x86_64
> lensfun-devel-0:0.3.1-3.el7.x86_64
> lensfun-tools-0:0.3.1-3.el7.x86_64
> 
> Am I missing something?

Mmh there is no digikam in EL right?

Comment 7 Rex Dieter 2017-06-29 21:51:05 UTC
$ koji latest-pkg epel7 digikam
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
digikam-4.10.0-6.el7                      epel7                 rdieter


In the meantime,
lensfun-0.3.2-9.el7 built and submitted as override, go for it.

Comment 8 Rex Dieter 2017-06-29 21:52:12 UTC
regarding digikam, epel's version was built without lensfun support.  I think the reason being it wasn't available at the time

Comment 9 Rex Dieter 2018-02-12 19:43:29 UTC
ping, Still interested in this?  I'll be making a fresh epel7 build today and mark it as override again.

Comment 10 Fedora Update System 2018-02-12 19:53:13 UTC
lensfun-0.3.2-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cc3a082103

Comment 11 Germano Massullo 2018-02-12 20:41:32 UTC
(In reply to Rex Dieter from comment #9)
> ping, Still interested in this?  I'll be making a fresh epel7 build today
> and mark it as override again.

Yes thank you. Should I trigger a new darktable rebuild?

Comment 12 Rex Dieter 2018-02-12 20:57:09 UTC
I assume that's what you want (though this newer lensfun version is theoretically binary compatible).

Comment 13 Germano Massullo 2018-02-12 21:00:07 UTC
(In reply to Rex Dieter from comment #12)
> I assume that's what you want (though this newer lensfun version is
> theoretically binary compatible).

Yeah it was just to have a confirmation on the right procedure for packages involved in libraries upgrading

Comment 15 Fedora Update System 2018-02-13 18:17:25 UTC
lensfun-0.3.2-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cc3a082103

Comment 16 Germano Massullo 2018-02-28 00:10:58 UTC
(In reply to Germano Massullo from comment #14)
> https://bodhi.fedoraproject.org/updates/darktable-2.0.7-4.el7

has been submitted for batched

Comment 17 Fedora Update System 2018-03-06 17:30:18 UTC
lensfun-0.3.2-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.